is_Raspberry=$(cat /proc/device-tree/model | awk  '{print $1}')
if [ "x${is_Raspberry}" != "xRaspberry" ] ; then
  echo "This script contains drivers for the Raspberry pi and will not work on the current platform."
  exit 1
fi

echo "Installing node@latest via volta"
sh -c "wget -qO- https://get.volta.sh | bash"
exec $SHELL
volta install node@latest



echo "------------------------------------------------------"
echo "Volta is installed."
echo "Continue with ./install.sh"
echo "------------------------------------------------------"